<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('user_type_id')->references('id')->on('user_types')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('subscription_id')->references('id')->on('subscription')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('countries')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('birth_country_id')->references('id')->on('countries')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('birth_city_id')->references('id')->on('cities')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('body_structure_id')->references('id')->on('body_structures')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('complexion_id')->references('id')->on('complexions')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('appearance_id')->references('id')->on('appearances')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('personality_id')->references('id')->on('personalities')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('employment_id')->references('id')->on('employments')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('nationality_id')->references('id')->on('nationalities')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('ethnicity_id')->references('id')->on('ethnicities')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('religion_id')->references('id')->on('religions')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->foreign('education_id')->references('id')->on('educations')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('subscription', function(Blueprint $table) {
			$table->foreign('package_id')->references('id')->on('packages')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('show_interests', function(Blueprint $table) {
			$table->foreign('from_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('show_interests', function(Blueprint $table) {
			$table->foreign('to_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('chat_request', function(Blueprint $table) {
			$table->foreign('from_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('chat_request', function(Blueprint $table) {
			$table->foreign('to_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('block_list', function(Blueprint $table) {
			$table->foreign('from_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('block_list', function(Blueprint $table) {
			$table->foreign('to_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_view_count', function(Blueprint $table) {
			$table->foreign('from_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('user_view_count', function(Blueprint $table) {
			$table->foreign('to_user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('abuse_reports', function(Blueprint $table) {
			$table->foreign('from_user_id')->references('id')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('abuse_reports', function(Blueprint $table) {
			$table->foreign('to_user_id')->references('id')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('private_filters', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('payments', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
	}

	public function down()
	{
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_user_type_id_foreign');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_subscription_id_foreign');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_country_id_foreign');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_city_id_foreign');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_birth_country_id_foreign');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_birth_city_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_user_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_body_structure_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_complexion_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_appearance_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_personality_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_employment_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_nationality_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_ethnicity_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_religion_id_foreign');
		});
		Schema::table('user_filters', function(Blueprint $table) {
			$table->dropForeign('user_filters_education_id_foreign');
		});
		Schema::table('subscription', function(Blueprint $table) {
			$table->dropForeign('subscription_package_id_foreign');
		});
		Schema::table('show_interests', function(Blueprint $table) {
			$table->dropForeign('show_interests_from_user_id_foreign');
		});
		Schema::table('show_interests', function(Blueprint $table) {
			$table->dropForeign('show_interests_to_user_id_foreign');
		});
		Schema::table('chat_request', function(Blueprint $table) {
			$table->dropForeign('chat_request_from_user_id_foreign');
		});
		Schema::table('chat_request', function(Blueprint $table) {
			$table->dropForeign('chat_request_to_user_id_foreign');
		});
		Schema::table('block_list', function(Blueprint $table) {
			$table->dropForeign('block_list_from_user_id_foreign');
		});
		Schema::table('block_list', function(Blueprint $table) {
			$table->dropForeign('block_list_to_user_id_foreign');
		});
		Schema::table('user_view_count', function(Blueprint $table) {
			$table->dropForeign('user_view_count_from_user_id_foreign');
		});
		Schema::table('user_view_count', function(Blueprint $table) {
			$table->dropForeign('user_view_count_to_user_id_foreign');
		});
		Schema::table('abuse_reports', function(Blueprint $table) {
			$table->dropForeign('abuse_reports_from_user_id_foreign');
		});
		Schema::table('abuse_reports', function(Blueprint $table) {
			$table->dropForeign('abuse_reports_to_user_id_foreign');
		});
		Schema::table('private_filters', function(Blueprint $table) {
			$table->dropForeign('private_filters_user_id_foreign');
		});
		Schema::table('payments', function(Blueprint $table) {
			$table->dropForeign('payments_user_id_foreign');
		});
	}
}